<app-superheader [title]="'Settings'" [subtitle]="'Nodes'" [back]="true"></app-superheader>

<ion-content>
  <div class="header-list">Node List</div>

  <ion-list lines="full" inset="false">
    <div *ngFor="let node of nodeList">
      <ion-item mode="ios">
        <span *ngIf="node.chosen && node.lived" class="nodeLive"></span>
        <span *ngIf="node.chosen && !node.lived" class="nodeDead"></span>
        <ion-label>
          <h5>{{node.url}}</h5>
        </ion-label>
        <span *ngIf="!node.chosen" style="color:#008BDC;font-size:12px;" (click)="setNode(node.url)">Choose</span>
      </ion-item>
    </div>

    <div *ngFor="let node of otherNodes">
      <ion-item mode="ios">
        <span *ngIf="node.chosen && node.lived" class="nodeLive"></span>
        <span *ngIf="node.chosen && !node.lived" class="nodeDead"></span>
        <ion-label>
          <h5>{{node.url}}</h5>
        </ion-label>
        <span *ngIf="!node.chosen" style="color:#008BDC;font-size:12px;" (click)="setNode(node.url)">Choose</span>
      </ion-item>
    </div>

    <ion-item mode="ios" (click)="boxToggle()" class="addNode">
      <ion-label>
        <ion-icon name="add" style="font-size:25px;position:absolute;top:10px"></ion-icon><h5 style="display: inline-block;margin-left: 30px;">Add node manually ...</h5>
      </ion-label>
    </ion-item>

  </ion-list>

  <div *ngIf="showBox" class="boxInput">
    <div class="coverBox">
        <p style="color:black">Add Node API</p>
        <div class="inputTag">
            <ion-input [(ngModel)]="newNode" placeholder="https://example.io"></ion-input>
        </div>
        <div>
            <p *ngIf="incorrectForm" class="incorrectForm">Incorrect standard api node</p>
            <p (click)="boxToggle()" class="buttonCancel">Cancel</p><p (click)="addNode()" class="buttonDone">Done</p>
        </div>
    </div>
  </div>

</ion-content>
